Skip to main content
GET
/
v3
/
video-agents
/
styles
List Video Agent styles
curl --request GET \
  --url https://api.heygen.com/v3/video-agents/styles \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "style_id": "<string>",
      "name": "<string>",
      "thumbnail_url": "<string>",
      "preview_video_url": "<string>",
      "tags": [
        "<string>"
      ],
      "aspect_ratio": "<string>"
    }
  ],
  "has_more": true,
  "next_token": "<string>"
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Query Parameters

tag
string

Filter by tag (e.g., 'cinematic', 'retro-tech', 'iconic-artist', 'pop-culture', 'handmade', 'print').

limit
integer
default:20

Results per page (1-100).

Required range: 1 <= x <= 100
token
string

Opaque cursor token for the next page. Obtained from next_token in a previous response.

Response

Successful response

data
StyleItem · object[]
has_more
boolean

Whether more pages are available

next_token
string | null

Opaque cursor for the next page